Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

com.clra.web: Javadoc index of package com.clra.web.


Package Samples:

com.clra.web

Classes:

INameList: Declares JSP attributes and bean properties for alphabetized lists of stuff. Views that implement this interface may be controlled via components such as NameSelector. For Java Server Pages, this interface declares three attributes that should be set and accessed within the scope of a request or session: restricted : is the view restricted to a range of items with names that start with a particular group of letters? [true,false] group : if the view is restricted, the group of letters with the name of an item should begin. comparator : specifies a bean that implements java.util.Comparator which ...
MemberTag: MemberTag member , used to get the member who is currently logged in. This class is a thin wrapper around the MemberView class. MemberTag Lib Descriptor <name>memberId</name> <tagclass>com.clra.web.MemberIdTag</tagclass> <bodycontent>empty</bodycontent> <info>Gets a property of an authenticated member.</info> Most properties are self-explanatory. Name, Address, Telephone and ID values require special names. The birth date is returned as "mm/dd/yyyy". If no property is specified, the default is "fullName". PN_ACCOUNTNAME == "accountName" == getAccountName() ...
IEventList: Declares JSP attributes and bean properties for sorted lists of scheduled events. Views that implement this interface may be controlled via components such as MonthViewSelector and YearViewSelector. For Java Server Pages, this interface declares four attributes that should be set and accessed within the scope of a request or session: restricted : is the view restricted to a range of dates within a particular month and year? [true,false] month : if the view is restricted, the month to which it is restricted. A number between 0 (January) and 11 (December). year : if the view is restricted, the year ...
ParticipationForm: Form bean for the session signup screen. A session signup screen contains the same information as a rowing session screen, plus additional fields. Here is a list of additions or differences, with default values in square brackets: action - The maintenance action that is being performed is restricted to Create, Promote, Edit, View, Cancel or Delete. [Create] memberId - The primary key of the member signing up for the session. [REQUIRED] rowingId - The primary key of the rowing session. [REQUIRED] participantId - The read-only id of the participant. [REQUIRED on Edit] seatPreference - The requested ...
MemberSet: A JSP bean that provides ordered lists of MemberViews. This class is a thin wrapper around calls to MemberDBRead. In the future, it might add further value by caching and sorting views on the client side. FIXME: this class is basically a list, not a set. A set hides duplicates, whereas a list does not. Rename this class. FIXME: this class could be less tightly coupled to the GUI, by using String properties lowerBound and upperBound. If both lowerBound and upperBound are non-null, then select for lowerBound In the current implementation, a list is created on the fly whenever a JSP is displayed, ...
RowingSessionForm: Form bean for the rowing session page. This form has the following fields, with default values in square brackets: action - The maintenance action that is being performed: Create, Edit, Publish, Lock, View, Cancel or Delete. [REQUIRED] id - The rowing_id of the rowing session. [REQUIRED except on Create, IMMUTABLE otherwise] datetime - The date (and time) for this rowing session. [REQUIRED on Create and Edit, IMMUTABLE otherwise] level - The level (LTR, REGULAR) of this rowing session. [REQUIRED on Create and Edit, IMMUTABLE otherwise] type - The type (COMPETITION,PRACTICE) of this rowing session. ...
SessionSet: A JSP bean that provides ordered lists of SessionViews. This class is a thin wrapper around calls to RowingDBRead. In the future, it might add further value by caching and sorting views on the client side. FIXME: this class is basically a list, not a set. A set hides duplicates, whereas a list does not. Rename this class. In the current implementation, a list is created on the fly whenever a JSP is displayed, and the list is tossed after the page is written. For lists of 60 or so items, a page will update in 2 - 3 seconds when the app and web servers are lightly loaded. This is adequate performance, ...
NameSelectorTag: Allows the user to choose a group of items, selected by the first letter of their name. Selection is case-insensitive and limited to 8 predefined groups, like the buttons on a telephone: ABC - names less than 'D' DEF - names greater than 'D' and less than 'G' GHI - names greater than 'G' and less than 'J' JKL - names greater than 'J' and less than 'M' MNO - names greater than 'M' and less than 'P' PQRS - names greater than 'P' and less than 'T' TUV - names greater than 'T' and less than 'W' WXYZ - names greater than or equal to 'W' Note that the first group, ABC , may contain names like "3Com", ...
IMemberNameList: Declares JSP attributes and bean properties for alphabetized lists of members. Views that implement this interface may be controlled via components such as NameSelector. This interface is an extension of INameList. For Java Server Pages, this interface declares one attribute (in addition to the attributes declared by INameList) that should be set and accessed within the scope of a request or session: membernameformat : the format with which member names are presented and sorted. [MemberNameFormat.FIRSTLAST] For beans, this interface declares one property (in addition to the properties declared ...
EnrollmentSet: A JSP bean that provides ordered lists of EnrollmentViews. This class is a thin wrapper around calls to RowingUtils. In the future, it might add further value by caching and sorting views on the client side. FIXME: this class is basically a list, not a set. A set hides duplicates, whereas a list does not. Rename this class. In the current implementation, a list is created on the fly whenever a JSP is displayed, and the list is tossed after the page is written. For lists of 60 or so items, a page will update in 2 - 3 seconds when the app and web servers are lightly loaded. This is adequate performance, ...
EditMemberInfoAction: A workflow manager that sets up an input form that queries a user for information needed to maintain the user's personal information. See the related workflow manager, SaveMemberInfoAction , which pulls information from the input form and invokes the business logic that does the actual work of editing the personal information. The 'function' parameter is 'Edit' or 'Manage'. For 'Edit', retrieve a MemberSnapshot for the member specified by the parameter 'id'. For 'Manage', present a blank form.
MembershipServlet: Converts a soap response to CSV or beautified XML message. The only valid request parameters are: format . Specifies what action to perform. The only valid values for this parameter are: CSV Converts a SOAP message to comma-separarted-value format. XML Converts a SOAP message to a simplified XML format. If the format parameter is omitted, the output format defaults to beautified XML.
EditRowingSessionAction: A workflow manager that sets up an input form which queries a user for information needed to create, edit, publish, view, delete or cancel a rowing session. See the related workflow manager, SaveRowingSessionAction , which pulls information from the input form and invokes the business logic that does the actual work of creating, editing, publishing, viewing, deleting or cancelling a rowing session.
EditParticipationAction: A workflow manager that sets up an input form which queries a user for information needed to create, edit, or view participation in a rowing session. See the related workflow manager, SaveParticipationAction , which pulls information from the input form and invokes the business logic that does the actual work of creating, editing, or viewing rowing-session participation.
SaveParticipationAction: A workflow manager that pulls data about a rowing session from an input form. The data is used to invoke business logic that creates, edits, publishes, views, deletes or cancels a rowing session. See the related workflow manager, EditParticipationAction , which initializes an input form with data from a rowing session.
SaveRowingSessionAction: A workflow manager that pulls data about a rowing session from an input form. The data is used to invoke business logic that creates, edits, publishes, views, deletes or cancels a rowing session. See the related workflow manager, EditRowingSessionAction , which initializes an input form with data from a rowing session.
SaveMemberInfoAction: A workflow manager that pulls a member's personal information from an input form. The data is used to invoke business logic that maintains the member information in a database. See the related workflow manager, MemberInfoAction , which initializes an input form with data for a member.
LogonForm: Form bean for the user profile page. This form has the following fields, with default values in square brackets: password - Entered password value username - Entered username value From the struts documentation.
EnrollmentView: Read-only information about enrollment of a member in a rowing session. A thin wrapper around EnrollmentSnapshot. Adds value by defining a natural order for presenting enrollment snapshots.
FormattedDate: A JSP bean that displays a formatted date. This class is a thin wrapper around the Date and SimpleDateFormat classe. See the SimpleDateFormat for how date formats are specified.
BoatSet: A collection of "finder" methods that return read-only, sorted sets of boats. FIXME: when this class changes to a "Session-like" design, make sure it becomes Serializable.
MemberView: Read-only information about a member. This is a thin wrapper around MemberSnapshot. The class exists so that some logic can be pulled out of the memberlist.jsp screen.
ParticipantView: Read-only information about a member's participation in rowing session. A thin-wrapper around ParticipantSnapshot,with some String properties useful in JSP's.
OarsetSet: A collection of "finder" methods that return read-only, sorted sets of oarsets. FIXME: when this class changes to a "Session-like" design, make sure
MemberNameFormatSelectorTag: Allows the user to specify whether names should be formated according to MemberNameFormat.FIRSTLAST or MemberNameFormat.LASTFIRST .

Home | Contact Us | Privacy Policy | Terms of Service